Groovy 1.7.0

## groovy.swing.factory
Class ComponentFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ComponentFactory

    class ComponentFactory
    extends BeanFactory

Constructor Summary
`ComponentFactory(Class beanClass)`
`ComponentFactory(Class beanClass, boolean leaf)`

Method Summary
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ComponentFactory

    public ComponentFactory(Class beanClass)

### ComponentFactory

    public ComponentFactory(Class beanClass, boolean leaf)

Method Detail

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.